Subject: Re: NEED HELP: linking an exe with windows lib files
From: [email-masked]

22 Apr 1997 20:26:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi John, you wrote:

: Content-Type: text/plain;
: 	charset="us-ascii"
: Content-Transfer-Encoding: quoted-printable
: 
: You have 2 choices that I know of, use MS link32.exe, or build .def =
: files, and from that make a libname.a type library, enclosed is a script =
: to make .def files from .lib files, if You, or anyone else who reads =
: this has a copy of crtdll.lib, or oldnames.lib, please run this script =
: on it and post the resulting .def file back to the list or to Me ;^).
: to make the library itself, run
: dlltool --as=3Das -k --dllname "name".dll --output-lib "name".a --def =
: "name".def
: where "name" is the name of the dll you are linking to.
: #!/bin/sh
: 
: tlow(){
: echo $1|tr A-Z a-z
: }
: 
: if [ x"$1" =3D x"" ];then
: echo "shell script to generate .def files from .LIB files
: $0 filename ..."
: exit 0
: else
: for file in $*;do
: =20
: echo LIBRARY `basename $file .LIB` \
: > `tlow \`basename $file .LIB\`.def`; \
: echo EXPORTS >> `tlow \`basename $file .LIB\`.def`; \
: nm --extern-only $file |egrep '^........ [TR]' \
: |fgrep -v '\$AA C@_0 @@' \
: |sort \
: |sed -e 's/[^_]*_//' \
: -e 's/[^?]*?//' \
: >> `tlow \`basename $file .LIB\`.def`;
: done
: fi
: 
: # T=3D .text section R=3D readonly .data section (exported variables)
: # $AA C@_0 @@ exported structure/internal function definitions (nm's =
: bust I think ;^)
: =20
[snip]
: ------=_NextPart_000_01BC4EC1.EE8CF0C0
: Content-Type: text/html;
: 	charset="us-ascii"
: Content-Transfer-Encoding: quoted-printable
[HTML rubbish deleted]

This is almost the same topic as my previous message, maybe because both
senders use MS mailers...

Please do not use quoted/printable encoding if not needed.
Last time I checked RFCs, MIME was still draft/elective, and that messes
up e.g. source listings, especially if there's no non-USASCII character
at all! (My mailer and printer can handle latin-1/8bit just fine)
Why use quoted-printable and USASCII? Just make your lines <=80 (or 72) chars!
The HTML part is a waste of both network and disk resources (and also paper
if printed) and there iso-8859-1/quoted-printable makes no sense at all,
since HTML has it's own encoding.

Anyway, John, maybe I can help (and de-MIMEify by hand 8-).
Are there different versions of crtdll.lib and oldnames.lib?
Are they bundled with MSVC?
On which of several dozen MSDN CDs should I search for them?

Bye, Heribert ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".